Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.saver
Interface Saver

All Known Implementing Classes:
  DataBaseSaver, FileSaver, SerializedSaver

public interface Saver

Schnittstelle fuer Models zum laden und speichern der enthaltenen Items.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `load()` Laedt alle Items in das durch die Methode `setModel(IBusinessModelSave)` gesetzte Model.
`void` | `save()` Speichert das ueber die Methode `setModel(IBusinessModelSave)` gesetzte Model.
`void` | `setFile(File file)` Setzt das File-Objekt, in dem die Daten gespeichert werden sollen.
`void` | `setFileName(String filename)` Setzt den Namen der Datei, in die gespeichert bzw. aus der gelesen werden soll.
`void` | `setModel(IBusinessModelSave model)` Setzt das Model mit dem der Saver arbeiten soll.
`void` | `setPathName(String pathname)` Setzt den Namen des Pfades der Datei, in die gespeichert bzw. aus der gelesen werden soll.

Method Detail

### save

    public void save()
              throws Exception

  Speichert das ueber die Methode `setModel(IBusinessModelSave)` gesetzte Model.

  Throws:
    `Exception` - wenn beim speichern ein Fehler auftritt.

### load

    public void load()
              throws Exception

  Laedt alle Items in das durch die Methode `setModel(IBusinessModelSave)` gesetzte Model.

  Throws:
    `Exception` - wenn beim laden ein Fehler auftritt.

### setFile

    public void setFile(File file)

  Setzt das File-Objekt, in dem die Daten gespeichert werden sollen.

  Parameters:
    `file` - Das File-Objekt in dem die Daten aus dem Model gespeichert oder aus dem sie geladen werden sollen.

### setFileName

    public void setFileName(String filename)

  Setzt den Namen der Datei, in die gespeichert bzw. aus der gelesen werden soll.

  Parameters:
    `filename` - Der Name der Datei aus der gelesen bzw. in die geschrieben werden soll.

### setPathName

    public void setPathName(String pathname)

  Setzt den Namen des Pfades der Datei, in die gespeichert bzw. aus der gelesen werden soll.

  Parameters:
    `pathname` - Der Pfad zu der Datei aus der gelesen bzw. in die geschrieben werden soll.

### setModel

    public void setModel(IBusinessModelSave model)

  Setzt das Model mit dem der Saver arbeiten soll.

  Parameters:
    `model` - Das Model dessen Items durch diesen Saver geladen bzw. gespeichert werden sollen.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD